### Enumeration

# Gimp DesaturateMode

unstable since: 3.0

#### Declaration

    enum Gimp.DesaturateMode

#### Description [src]

Grayscale conversion methods.

Available since: 3.0

#### Members

`GIMP_DESATURATE_LIGHTNESS`

  Lightness (HSL)

  - Value: `0`
  - Nickname: `lightness`
  - Available since: 3.0
`GIMP_DESATURATE_LUMA`

  Luma.

  - Value: `1`
  - Nickname: `luma`
  - Available since: 3.0
`GIMP_DESATURATE_AVERAGE`

  Average (HSI Intensity)

  - Value: `2`
  - Nickname: `average`
  - Available since: 3.0
`GIMP_DESATURATE_LUMINANCE`

  Luminance.

  - Value: `3`
  - Nickname: `luminance`
  - Available since: 3.0
`GIMP_DESATURATE_VALUE`

  Value (HSV)

  - Value: `4`
  - Nickname: `value`
  - Available since: 3.0